Bug 996829 - qemu-kvm segmentation fault while boot guest from glusterfs with wrong host name
qemu-kvm segmentation fault while boot guest from glusterfs with wrong host name
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.5
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Asias He
Virtualization Bugs
: TestOnly
Depends On: 998778 1001893
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 01:29 EDT by mazhang
Modified: 2016-09-20 00:39 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 996831 1001893 (view as bug list)
Environment:
Last Closed: 2013-11-21 02:11:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mazhang 2013-08-14 01:29:05 EDT
Description of problem:
Actually , this problem from a mistake. Just wanna access image with host name from gluster server , but forgot add host name and ip address into /etc/hosts. then try boot up guest will segmentation fault.


Version-Release number of selected component (if applicable):

host: RHEL6.5-20130804.n.0
qemu-kvm-tools-0.12.1.2-2.385.el6.g11.x86_64
gpxe-roms-qemu-0.9.7-6.9.el6.noarch
qemu-kvm-0.12.1.2-2.385.el6.g11.x86_64
qemu-img-0.12.1.2-2.385.el6.g11.x86_64
kernel-2.6.32-411.el6.x86_64

gluster server: RHS-2.1-20130806.n.2
glusterfs-server-3.4.0.17rhs-1.el6rhs.x86_64


How reproducible:
100%


Steps to Reproduce:
1. [root@m-qz ~]# ping gluster-server
ping: unknown host gluster-server

2. boot up guest with:
...
-netdev tap,id=hostnet0,vhost=on \
-device virtio-net-pci,netdev=hostnet0,id=net0,mac=52:54:00:39:13:2c \
-drive file=gluster://gluster-server/vol/rhel6u5.qcow2,if=none,id=drive-virtio-disk0,format=qcow2,cache=none,werror=stop,rerror=stop,aio=threads \
-device virtio-blk-pci,scsi=off,bus=pci.0,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=0 \ 


Actual results:
qemu-kvm segmentation fault.

Program received signal SIGSEGV, Segmentation fault.
0x00007ffff6c073b6 in __glfs_entry_fd (glfd=0x0, offset=0, whence=2) at glfs-internal.h:88
88		THIS = fd->fd->inode->table->xl->ctx->master;
(gdb) bt
#0  0x00007ffff6c073b6 in __glfs_entry_fd (glfd=0x0, offset=0, whence=2)
    at glfs-internal.h:88
#1  glfs_lseek (glfd=0x0, offset=0, whence=2) at glfs-fops.c:428
#2  0x00007ffff7e2f1f8 in ?? ()
#3  0x00007ffff7e0a7fc in ?? ()
#4  0x00007ffff7e0a9bb in ?? ()
#5  0x00007ffff7e0a880 in ?? ()
#6  0x00007ffff7e0aab0 in ?? ()
#7  0x00007ffff7e35e82 in ?? ()
#8  0x00007ffff7e36a78 in ?? ()
#9  0x00007ffff7dc984b in ?? ()
#10 0x00007ffff7e016aa in ?? ()
#11 0x00007ffff7dcee7e in main ()


Expected results:
quit with warning.

Additional info:
add ip address and host name in to "/etc/hosts", will works well.
Comment 4 Ademar Reis 2013-10-08 22:15:30 EDT
Asias believes no code changes are needed now that the glusterfs bug has been fixed. Please test.
Comment 5 mazhang 2013-10-10 06:57:57 EDT
verify this bug with new package.

rhs:
RHS-2.1-20130830.n.0
glusterfs-server-3.4.0.34rhs-1.el6rhs.x86_64
glusterfs-3.4.0.34rhs-1.el6rhs.x86_64
glusterfs-fuse-3.4.0.34rhs-1.el6rhs.x86_64
glusterfs-api-3.4.0.34rhs-1.el6rhs.x86_64
glusterfs-geo-replication-3.4.0.34rhs-1.el6rhs.x86_64
glusterfs-libs-3.4.0.34rhs-1.el6rhs.x86_64
glusterfs-rdma-3.4.0.34rhs-1.el6rhs.x86_64

host:
RHEL6.5-Snapshot-2.0
kernel-2.6.32-422.el6.x86_64
qemu-kvm-0.12.1.2-2.411.el6.x86_64
qemu-kvm-debuginfo-0.12.1.2-2.411.el6.x86_64
qemu-kvm-tools-0.12.1.2-2.411.el6.x86_64
glusterfs-api-3.4.0.34rhs-1.el6.x86_64
glusterfs-libs-3.4.0.34rhs-1.el6.x86_64
glusterfs-3.4.0.34rhs-1.el6.x86_64

steps refer to comment#0

Result:
qemu-kvm quit without segmentation fault.

messages:

qemu-kvm: -drive file=gluster://m1/gv0/win2012-64.raw,if=none,id=drive-virtio-disk0,format=raw,cache=none,werror=stop,rerror=stop,aio=threads: Gluster connection failed for server=m1 port=0 volume=gv0 image=win2012-64.raw transport=tcp

qemu-kvm: -drive file=gluster://m1/gv0/win2012-64.raw,if=none,id=drive-virtio-disk0,format=raw,cache=none,werror=stop,rerror=stop,aio=threads: could not open disk image gluster://m1/gv0/win2012-64.raw: Transport endpoint is not connected

so this bug has been fixed.
Comment 6 errata-xmlrpc 2013-11-21 02:11:00 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1553.html

Note You need to log in before you can comment on or make changes to this bug.